Bug 1014309 - Don't change the timestamps on unchanged files
Don't change the timestamps on unchanged files
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 13:17 EDT by gideon
Modified: 2015-05-14 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 11:12:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gideon 2013-10-01 13:17:16 EDT
I've made a cartridge with an incremental compiler - if the timestamp on a source file is earlier than the corresponding object file, it won't be recompiled. Unfortunately, when I push a new version of my app, the timestamp of every file is reset, forcing everything to be recompiled. This is obviously a big deal for applications with many thousands of source files, where only one may have changed between releases. As Jenkins can't be used with downloadable cartridges (#995807), this also means a lot of unnecessary down time for the application gear.

Is it possible to leave unchanged files alone, so that only the changed files will be recompiled? Perhaps something like git checkout -f && git clean -d -x.
Comment 1 Jhon Honce 2013-10-02 11:12:30 EDT
Please track status of feature request here https://trello.com/c/ojEyvuf6

Note You need to log in before you can comment on or make changes to this bug.